erlang (1:29.0.3+dfsg-1build1) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 10:34:34 +0000

erlang (1:29.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix CVE-2026-53422: Observable Response Discrepancy vulnerability in
      Erlang OTP ssh application (ssh_sftpd module).
    - Fix CVE-2026-54886: Loop with Unreachable Exit Condition ('Infinite
      Loop') vulnerability in Erlang OTP ssh application (ssh_sftpd module).
    - Fix CVE-2026-54887: Use of Default Cryptographic Key vulnerability in
      Erlang/OTP ssl application (DTLS server)
    - Fix CVE-2026-54891: Improper Enforcement of Message Integrity During
      Transmission in a Communication Channel vulnerability in Erlang/OTP ssl
      application (tls_gen_connection module).
    - Fix CVE-2026-55950: Time-of-check Time-of-use (TOCTOU) race condition
    vulnerability in Erlang/OTP ssl application (dtls_packet_demux module).
    - Fix CVE-2026-55952: The Erlang/OTP ssl application does not validate
      that the PSK identity list and binder list carried in a TLS 1.3
      ClientHello pre-shared key extension have equal length before passing
      them to the session ticket handler.
    Closes: #1141414.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Jul 2026 21:21:35 +0300

erlang (1:29.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix CVE-2026-48855: Exposure of Sensitive Information to an Unauthorized
      Actor vulnerability in Erlang OTP ssh application (ssh_sftpd module).
    - Fix CVE-2026-48856: Sensitive Data Exposure vulnerability in Erlang OTP
      inets application (httpc_response module).
    - Fix CVE-2026-48858: Server-Side Request Forgery (SSRF) vulnerability in
      Erlang/OTP ftp application (ftp_internal module).
    - Fix CVE-2026-48859: Observable Timing Discrepancy vulnerability in
      Erlang/OTP ssh application (ssh_auth, ssh_options modules).
    - Fix CVE-2026-48860: Reliance on IP Address for Authentication
      vulnerability in Erlang/OTP ssl application (inet_tls_dist module).
    - Fix CVE-2026-49759: Stack-based Buffer Overflow vulnerability in Erlang
      OTP erts (inet_drv).
    - Fix CVE-2026-49760: Stack-based Buffer Overflow vulnerability in Erlang
      OTP (erl_interface).
    Closes: #1139727, #1139823.
  * Drop dependencies of erlang-jinterface on java1-runtime-headless,
    java1-runtime because they don't exist anymore.
  * Drop providing erlang-pcre by erlang-base because it is not used by
    any package and is not necessary anymore.
  * Promote libsctp1 from recommends to depends because erl now emits a
    warning if it cannot find the libsctp library, which make some packages
    that build depend on Erlang FTBFS.
  * Add a patch which fixes enabling build of odbcserver.
  * Add pkgconf and libglib2.0-dev to the build dependencies for erlang-wx.
  * Refine interdependencies of the binary packages.
  * Use the default build flags (closes: #1124853).
  * Clean up the code which stops epmd on erlang-base removal/upgrade.
  * Do more thorough cleanup after building the package (closes: #1045018).
  * Fix debian/watch to sort upstream version 29.0 after 29.0-rc3.
  * Fix collecting examples which are now installed along with the
    documentation, make links to them in the erlang-doc package.
  * Switch from ronn to the internal manpage generation escript for
    generating manpages in section 1.
  * Add symlink /usr/lib/erlang/man to the Erlang manpages in the erlang-doc
    package.
  * Compress manpages in the erlang-doc package.
  * Use -n option for gzip when compressing manpages for reproducibility.
  * Do not remove id from the EPUB contents files in docs, just replace it
    by a deterministic value.
  * Replace echo by printf in the makefile for generating docs because
    sometimes echo "\n" prints literal \n for reproducibility.
  * Move HTML and EPUB docs directly to the /usr/share/doc/erlang-doc
    directory.
  * Respect SOURCE_DATE_EPOCH when generating footers of HTML docs for
    reproducibility.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jun 2026 20:36:06 +0300

erlang (1:27.3.4.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 May 2026 12:30:22 +0300

erlang (1:27.3.4.11+dfsg-7) unstable; urgency=medium

  * Fix FTBFS on buildd.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2026 01:11:00 +0300

erlang (1:27.3.4.11+dfsg-6) unstable; urgency=medium

  * Switch on parallel build since disabling it doesn't help with
    reproducibility.
  * Build public_key sequentially because otherwise thr ASN.1 compiler
    generates unreproducible sources.
  * Postprocess the generated documentation to replace random ids in the
    HTML files by sequential reproducible ones.
  * Call dh_strip_nondeterminism in debian/rules to make the jinterface
    package reproducible.
  * Fix sorting modules in erlang-depends for reproducibility.
  * Add a patch which makes compiler save docs chunks of a BEAM
    in a deterministic mode.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2026 00:21:08 +0300

erlang (1:27.3.4.11+dfsg-5) unstable; urgency=medium

  * Switch off parallel build.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 May 2026 08:59:22 +0300

erlang (1:27.3.4.11+dfsg-4) unstable; urgency=medium

  * Use autoconf >=2.72 to rebuild the configure scripts (closes: #1135919).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 17 May 2026 15:22:41 +0300

erlang (1:27.3.4.11+dfsg-3) unstable; urgency=medium

  * Add a patch from upstream which does not explicitly unload libssl
    on unloading crypto. In Debian doing so sometimes results in an invalid
    pointer in free() (found in Elixir test case on loong64 architecture).
    Closes: #1135630.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2026 15:33:17 +0300

erlang (1:27.3.4.11+dfsg-2) unstable; urgency=medium

  * Fix stopping/starting services depending on Erlang in erlang-base
    prerm/postinst maintainer scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 May 2026 13:24:04 +0300

erlang (1:27.3.4.11+dfsg-1) unstable; urgency=medium

  [ Sergei Golovan ]
  * New upstream release.
  * Refresh patches.
  * Fix CVE-2026-32147: Vulnerability in the SFTP server where file
    attributes could be modified outside the configured root directory.

  [ Luca Boccassi ]
  * Switch from adduser to systemd-sysusers to create the epmd system
    user and group.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2026 11:03:21 +0300

erlang (1:27.3.4.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2026-28810: Generation of Predictable Numbers or Identifiers
    vulnerability in Erlang/OTP kernel (inet_res, inet_db modules) allows
    DNS Cache Poisoning.
  * Fix CVE-2026-32144: Improper Certificate Validation vulnerability in
    Erlang/OTP public_key (pubkey_ocsp module) allows OCSP
    designated-responder authorization bypass via missing signature
    verification.
  * Override lintian false positives in erlang-base maintainer scripts.
  * Bump standards version to 4.7.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Apr 2026 14:33:49 +0300

erlang (1:27.3.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1130912).
  * Fix CVE-2026-23941: Inconsistent interpretation of HTTP Contents-Length
    header by inets httpd module.
  * Fix CVE-2026-23942: Improper limitation of a pathname to a restricted
    directory by ssh_sftpd module.
  * Fix CVE-2026-23943: Improper handling of highly compressed Data
    (compression bomb) by ssh_transport modules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Mar 2026 11:33:23 +0300

erlang (1:27.3.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2026-21620: a bug which allows TFTP to specify a file to download
    outside the TFTP root directory (closes: #1128651).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Mar 2026 10:07:09 +0300

erlang (1:27.3.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Nov 2025 15:27:59 +0300

erlang (1:27.3.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 31 Oct 2025 14:57:11 +0300

erlang (1:27.3.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2025-48038: allocation of resources without limits or throttling
    vulnerability in the ssh_sftp module allows excessive allocation,
    resource leak exposure (closes: #1115093).
  * Fix CVE-2025-48039: allocation of resources without limits or throttling
    vulnerability in the ssh_sftp module allows excessive allocation,
    resource leak exposure (closes: #1115092).
  * Fix CVE-2025-48040: uncontrolled resource consumption vulnerability in
    the ssh_sftp module allows excessive allocation, flooding (closes: 1115091).
  * Fix CVE-2025-48041: allocation of resources without limits or throttling
    vulnerability in the ssh_sftp module allows excessive allocation,
    flooding (closes: #1115090).
  * Fix CVE-2016-1000107: inets does not protect applications from the presence
    of untrusted client data in the HTTP_PROXY environment variable
    (closes: #1115086).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Sep 2025 18:42:37 +0300

erlang (1:27.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Fix CVE-2025-4748 in erlang-stdlib application, where unzipping a ZIP
    archive could overwrite files using absolute paths because of insufficient
    path sanitizing (closes: #1107939).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 Jul 2025 10:27:28 +0300

erlang (1:27.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2025-46712 in erlang-ssh application, where a man-in-the-middle
    could use optional KEX messages to impact the KEX process (closes:
    #1104963).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 May 2025 09:04:59 +0300

erlang (1:27.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Apr 2025 17:20:18 +0300

erlang (1:27.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Reorganize debian/rules to respect "parallel=N" when passed
    in DEB_BUILD_OPTIONS.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Apr 2025 15:14:29 +0300

erlang (1:27.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2025-30211 in erlang-ssh application, where a maliciously
    formed KEX init message could result with high memory usage (closes:
    #1101713).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Apr 2025 08:28:34 +0300

erlang (1:27.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Mar 2025 11:30:48 +0300

erlang (1:27.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Feb 2025 18:40:49 +0300

erlang (1:27.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 19:45:14 +0300

erlang (1:27.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Feb 2025 11:38:21 +0300

erlang (1:27.2.1+dfsg-2) unstable; urgency=medium

  * Disable support for timestamps for year 2038 and above for hurd-i386.
  * Define _GNU_SOURCE for hurd-i386 and hurd-amd64.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Feb 2025 15:36:38 +0300

erlang (1:27.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer supported configure options from debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Jan 2025 13:38:58 +0300

erlang (1:27.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with ex-doc running on elixir 1.18 (closes: #1093329).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Jan 2025 19:45:12 +0300

erlang (1:27.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix FTBFS with ex-doc running on newer elixir (closes: #1090217).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2025 20:41:54 +0300

erlang (1:27.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop link of typer to /usr/bin to avoid clashing with the typer package
    (closes: #1074166).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Dec 2024 15:10:38 +0300

erlang (1:27.0.1+dfsg-3) experimental; urgency=medium

  * Correct the fix from 1:27.0.1+dfsg-2 for other architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Aug 2024 13:53:40 +0300

erlang (1:27.0.1+dfsg-2) experimental; urgency=medium

  * Fix FTBFS with GCC 14 on i386.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Aug 2024 12:19:23 +0300

erlang (1:27.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Jul 2024 09:24:05 +0300

erlang (1:27.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove no longer necessary patch which fixed FTBFS on s390x.
  * Use system-wide libraries from the libjs-jquery and libjs-jquery-ui
    packages for jinterface documentation.
  * Do not compress Markdown docs.
  * Fix description of erlang-doc package by removing mentions of PDF
    format.
  * Drop link from /usr/share/man to /usr/lib/erlang/man because Erlang
    no longer ships documentation in man format.
  * Add a patch which replaces external Javascript resource by a local one.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 May 2024 19:38:03 +0300

erlang (1:27.0~rc3+dfsg-4) experimental; urgency=medium

  * Remove an obsolete patch which enabled building Erlang with GCJ as
    a Java compiler.
  * Drop using non-standard ${erlang-base} substvar because the erlang-hipe
    package is dropped long time ago.
  * Clean debian/rules.
  * Actually move typer to the erlang-dialyzer package.
  * Enable building docs except for <nodoc> build profile.
  * Package edoc.1 and cdv.1 manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 16 May 2024 11:24:58 +0300

erlang (1:27.0~rc3+dfsg-3) experimental; urgency=medium

  * Add a patch by John Högberg which makes Erlang 27 build on s390x.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Apr 2024 14:55:07 +0300

erlang (1:27.0~rc3+dfsg-2) experimental; urgency=medium

  * Move ronn from build-depends-indep to build-depends because it is used
    to build manpages which go into arcitecture-dependent packages.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Apr 2024 19:27:50 +0300

erlang (1:27.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Upload to experimental.
  * Bump standards version to 4.7.0.
  * Temporarily disable building HTML documentation until elixir-ex-doc is
    entered Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Apr 2024 17:57:44 +0300

erlang (1:27.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Bump required autoconf version in build dependencies to 2.72.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Mar 2024 12:30:21 +0300

erlang (1:27.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Fix interdependencies for the binary packages.
  * Refresh patches, remove no longer necessary ones.
  * Remove erlang-erl-docgen package because it has been dropped upstream.
  * Remove erlang-manpages package because upstream no longer supports
    creating documentation in the form of manpages.
  * Fix placing examples from the sasl library to erlang-examples.
  * Drop doc-base indices.
  * Move typer to the erlang-dialyzer package.
  * Add links for observer's cdv crashdump viewer and edoc's edoc
    documentation generator to /usr/bin.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 03 Mar 2024 14:31:29 +0300

erlang (1:26.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 22 Dec 2023 15:35:54 +0300

erlang (1:26.1.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Oct 2023 17:51:39 +0300

erlang (1:26.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Jul 2023 12:25:40 +0300

erlang (1:26.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 08 Jun 2023 16:51:45 +0300

erlang (1:26.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 May 2023 19:00:41 +0300

erlang (1:26.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 14 Apr 2023 11:19:40 +0300

erlang (1:26.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Mar 2023 21:24:10 +0300

erlang (1:25.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the useless menu items from the main menu and from the Konsole
    application menu.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Feb 2023 17:47:23 +0300

erlang (1:25.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 31 Jan 2023 08:14:26 +0300

erlang (1:25.2.1+dfsg-2) unstable; urgency=medium

  * Remove broken links in /usr/include and /usr/lib (closes: #1029321).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jan 2023 12:06:07 +0300

erlang (1:25.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to libncurses-dev, libgl-dev, libglu-dev in the build-dependencies
    list.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Jan 2023 09:27:06 +0300

erlang (1:25.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility version to 13.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2022 13:53:29 +0300

erlang (1:25.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Use -O1 optimization for armel because -O2 makes erl segfault on certain
    platforms, e.g. Marvell (closes: #1023673).
  * Bump standards version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Nov 2022 11:12:45 +0300

erlang (1:25.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Switch build locale to C.UTF-8 because of UTF-8 encoded JAVA sources.
  * Remove the patch which change font for atoms enclosed in single quotes
    in Emacs Erlang mode because it causes incomplete syntax highlighting.
  * Adapt debian/watch to changes on Github.
  * Remove debian/NEWS because it's too old for now.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Nov 2022 14:24:22 +0300

erlang (1:24.3.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to wxwidgets3.2 (closes: #1019785).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Sep 2022 13:32:33 +0300

erlang (1:24.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 Jun 2022 09:38:41 +0300

erlang (1:24.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 04 May 2022 11:39:51 +0300

erlang (1:24.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2022 12:37:06 +0300

erlang (1:24.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Mar 2022 12:08:09 +0300

erlang (1:24.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Mar 2022 15:19:16 +0300

erlang (1:24.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Mar 2022 13:40:28 +0300

erlang (1:24.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Feb 2022 12:25:13 +0300

erlang (1:24.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Feb 2022 10:48:20 +0300

erlang (1:24.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Dec 2021 19:39:20 +0300

erlang (1:24.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Dec 2021 12:51:44 +0300

erlang (1:24.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Nov 2021 08:32:50 +0300

erlang (1:24.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Nov 2021 17:19:55 +0300

erlang (1:24.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove an unused lintian override.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Oct 2021 13:54:07 +0300

erlang (1:24.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Replace calls to 'which', which is deprecated, by calls to
    'command -v' in maintainer scripts.
  * Mark the erlang, erlang-doc, erlang-examples, erlang-nox, erlang-src,
    erlang-x11 packages as multi-arch foreign.
  * Move epmd.service and epmd.socket to /usr/lib/systemd/system/.
  * Bump standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 28 Sep 2021 10:15:57 +0300

erlang (1:24.0.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Sep 2021 09:50:21 +0300

erlang (1:24.0.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Change the autoconf version to 2.71 in the otp_build script.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 03 Sep 2021 14:11:04 +0300

erlang (1:24.0.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 14:20:13 +0300

erlang (1:24.0.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Use ./otp_build update_configure instead of ./otp_build autoconf which is
    a noop now.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 02 Aug 2021 07:25:51 +0300

erlang (1:24.0.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Explicitly use --disable-sctp configure option for bsd and hurd
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2021 13:01:20 +0300

erlang (1:24.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 Jul 2021 23:10:04 +0300

erlang (1:24.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Jun 2021 10:54:00 +0300

erlang (1:24.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Apr 2021 08:45:21 +0300

erlang (1:24.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Rename another PATH_MAX occurrence to enable build for GNU/Hurd and
    GNU/kFreeBSD.
  * Adapt debian/watch to the currently implemented release scheme.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 26 Mar 2021 15:44:51 +0300

erlang (1:24.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Remove obsolete patch which adapted erlang-wx to wxwidgets-3.0.
  * Remove obsolete patch which fixed a function prototype in beam_load.c.
  * Remove the erlang-base-hipe binary package because HiPE support has been
    dropped upstream in favor of JIT.
  * Add libwxgtk-webview3.0-gtk3-dev to the list of build dependencies to
    enable webview support in erlang-wx.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 03 Mar 2021 20:42:02 +0300

erlang (1:23.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 25 Feb 2021 12:34:59 +0300

erlang (1:23.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Feb 2021 11:27:52 +0300

erlang (1:23.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Feb 2021 09:36:40 +0300

erlang (1:23.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Jan 2021 11:43:21 +0300

erlang (1:23.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release, which includes a fix for CVE-2020-35733 (the ssl
    application 10.2 accepts and trusts an invalid X.509 certificate chain
    to a trusted root Certification Authority, closes: #980199).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2021 08:50:49 +0300

erlang (1:23.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Dec 2020 13:16:47 +0300

erlang (1:23.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Dec 2020 15:07:09 +0300

erlang (1:23.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Dec 2020 12:01:49 +0300

erlang (1:23.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Nov 2020 17:03:12 +0300

erlang (1:23.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Nov 2020 11:30:20 +0300

erlang (1:23.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Oct 2020 08:52:49 +0300

erlang (1:23.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Sep 2020 22:22:49 +0300

erlang (1:23.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Sep 2020 10:37:31 +0300

erlang (1:23.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document IPAddressDeny and IPAddressAllow options for epmd.socket in
    README.Debian.
  * Remove the obsolete TODO.Debian.
  * Override some lintian warnings about link breakouts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 21 Jul 2020 18:46:49 +0300

erlang (1:23.0.2+dfsg-3) unstable; urgency=medium

  * Add a patch which fixes FTBFS for GNU/Hurd.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Jun 2020 15:35:09 +0300

erlang (1:23.0.2+dfsg-2) unstable; urgency=medium

  * Upload of the new major upstream release to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Jun 2020 19:12:02 +0300

erlang (1:23.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 29 May 2020 10:21:23 +0300

erlang (1:23.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 22 May 2020 10:57:08 +0300

erlang (1:23.0+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.
  * Refresh patches.
  * Remove symlinks to no longer shipped erl_interface include files and
    libraries.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 12:03:52 +0300

erlang (1:22.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to versioned virtual packages erlang-abi and erlang-pcre,
    retain providing the old ones for backward compatibility.
  * Bump the erlang-pcre version since some changes incompatible for the
    current build of elixir-lang were introduced (closes: #958841).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 28 Apr 2020 10:22:10 +0300

erlang (1:22.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Apr 2020 16:37:16 +0300

erlang (1:22.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Mar 2020 12:46:36 +0300

erlang (1:22.2.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move the epmd user home directory to /run/epmd from /var/run/epmd.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Feb 2020 11:08:45 +0300

erlang (1:22.2.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 18 Feb 2020 14:10:08 +0300

erlang (1:22.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 03 Feb 2020 00:11:55 +0300

erlang (1:22.2.3+dfsg-2) unstable; urgency=medium

  * Disable the builtin socket (as a nif) support for the hurd-i386
    architecture because it cannot be built there.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jan 2020 22:54:24 +0300

erlang (1:22.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 20 Jan 2020 16:22:23 +0300

erlang (1:22.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 14 Jan 2020 08:14:08 +0300

erlang (1:22.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly add libx11-dev to build dependencies to fix building
    of the erlang-wx package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Jan 2020 14:01:08 +0300

erlang (1:22.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove upwards-stack.patch since it has been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Dec 2019 13:46:49 +0300

erlang (1:22.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Nov 2019 17:20:36 +0300

erlang (1:22.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 11 Nov 2019 14:47:26 +0300

erlang (1:22.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Nov 2019 14:18:03 +0300

erlang (1:22.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 Oct 2019 09:25:34 +0300

erlang (1:22.1.1+dfsg-3) unstable; urgency=medium

  * Fix a typo in the clean target of debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2019 10:48:07 +0300

erlang (1:22.1.1+dfsg-2) unstable; urgency=medium

  * Make erlang-base and erlang-base-hipe provide the erlang-pcre-<version>
    virtual package to help tracking if elixir-lang or any other package
    that uses precompiled regexs needs rebuild (closes: #941124).
  * Use the version of upwards-stack.patch which has been approved upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2019 07:55:19 +0300

erlang (1:22.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2019 22:49:39 +0300

erlang (1:22.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Document the upwards-stack.patch patch.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Sep 2019 13:45:18 +0300

erlang (1:22.0.7+dfsg-3) unstable; urgency=medium

  * Add a patch which determines correctly if stack goes upwards to make
    the re module working on hppa (closes: #939804).
  * Bump standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Sep 2019 13:41:43 +0300

erlang (1:22.0.7+dfsg-2) unstable; urgency=medium

  * Switch to the GTK-3 based implementation of wxWidgets (closes: #933480).
  * Document usage of GDK_BACKEND=x11 for wxGLCanvas in README.Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2019 20:50:38 +0300

erlang (1:22.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Override lintian error on EPMD systemd service file without init.d script
    since it isn't required for EPMD to run.
  * Force using system-wide zlib.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Jul 2019 13:57:16 +0300

erlang (1:22.0.5+dfsg-2) unstable; urgency=medium

  * Reupload as a source package to promote to testing.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jul 2019 12:26:55 +0300

erlang (1:22.0.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Jul 2019 09:20:44 +0300

erlang (1:22.0.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Jun 2019 10:40:35 +0300

erlang (1:22.0.3+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 13 Jun 2019 13:32:42 +0300

erlang (1:22.0.2+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Jun 2019 09:24:36 +0300

erlang (1:22.0.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release. Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 23 May 2019 17:44:11 +0300

erlang (1:22.0+dfsg-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 May 2019 13:11:33 +0300

erlang (1:22.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate. Upload to experimental.
  * Refresh patches.
  * Make all architecture-dependent binary packages multi-arch allowed
    (closes: #926241).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Apr 2019 14:04:00 +0300

erlang (1:22.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate. Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Mar 2019 09:29:21 +0300

erlang (1:22.0~rc1+dfsg-2) experimental; urgency=medium

  * Fix finding the target triplet for building manpages. This fixes
    FTBFS on kfreebsd-amd64 and kfreebsd-i386.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Feb 2019 14:45:49 +0300

erlang (1:22.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate. Upload to experimental.
  * Refresh patches.
  * Remove patch which disabled vfork() on the hppa architecture.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Feb 2019 16:57:01 +0300

erlang (1:21.2.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Feb 2019 16:09:27 +0300

erlang (1:21.2.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Feb 2019 17:43:49 +0300

erlang (1:21.2.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Jan 2019 16:24:41 +0300

erlang (1:21.2.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Jan 2019 14:07:16 +0300

erlang (1:21.2.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Reconfigure the epmd.socket unit to listen on all network interfaces.
    Listening on loopback only breaks RabbitMQ and other applications
    which depend on Erlang clustering abilities (closes: #911927).
  * Fix crashes of erlang-depends on empty substvar files (closes: #911789).
  * Add erlang-base:native to the build dependencies for cross-building
    (closes: #898744).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Dec 2018 00:41:13 +0300

erlang (1:21.2.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 25 Dec 2018 10:58:50 +0300

erlang (1:21.2+dfsg-2) unstable; urgency=medium

  * Do not install Erlang mode for XEmacs since it isn't supposed to work
    with it (closes: #909387).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Dec 2018 11:01:02 +0300

erlang (1:21.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Dec 2018 17:45:08 +0300

erlang (1:21.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Dec 2018 10:03:50 +0300

erlang (1:21.1.1+dfsg-2) unstable; urgency=medium

  * Enable the epmd.socket and epmd.service units by default. Make the socket
    listen on the loopback interface only. Expand the section on how to
    configure the socket options in README.Debian (closes: #709754).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Oct 2018 15:08:13 +0300

erlang (1:21.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add aupport for stopping/starting native systemd services in erlang-base
    and erlang-base-hipe prerm and postinst maintainer scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 Oct 2018 09:22:26 +0300

erlang (1:21.1+dfsg-2) unstable; urgency=medium

  * Add 'Breaks: rabbitmq-server (<< 3.7.7)' to the debian/control file
    because rabbitmq-server older than version 3.7.7 doesn't support
    Erlang/OTP 21 (closes: #909941).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Oct 2018 08:04:00 +0300

erlang (1:21.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Changes from the experimental branch:
    - Update debian/copyright.
    - Refresh patches, remove a SPARC related one.
    - Remove the erlang-corba, erlang-ic and erlang-ic-java packages since
      they are no longer distributed upstream.
    - Add the erlang-ftp and erlang-tftp packages since they are sptit out
      from the inets upstream package and a treated as separate applications
      from now on.
    - Fix the binary packages interdependencies which have to be changes
      because of adding and removing packages.
  * Remove custom compression settings from the binary package creation
    commands in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Sep 2018 11:52:05 +0300

erlang (1:20.3.8.8+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Sep 2018 14:08:49 +0300

erlang (1:20.3.8.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Aug 2018 17:56:38 +0300

erlang (1:20.3.8.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 06 Aug 2018 12:31:42 +0300

erlang (1:20.3.8.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jul 2018 11:10:48 +0300

erlang (1:20.3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Jun 2018 16:41:56 +0300

erlang (1:20.3.8+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Jun 2018 10:54:34 +0300

erlang (1:20.3.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 Jun 2018 17:33:27 +0300

erlang (1:20.3.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 May 2018 13:02:24 +0300

erlang (1:20.3.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 May 2018 09:56:42 +0300

erlang (1:20.3.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Disable erlang-edoc and erldoc for XEmacs (closes: #852823).
  * Change font face for atoms enclosed into single quotes to the default
    one to mek them less confusing with strings (closes: #597248).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Apr 2018 09:20:15 +0300

erlang (1:20.3.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Point debian/watch to the Github Erlang/OTP releases.
  * Bump the minimum Java compatibility level to 1.8 (openjdk 8).
  * Demote erlang-wx from recommended to suggested for erlang-examples.
  * The two last changes in conjunction that EPMD6 is defined automatically
    allow Ubuntu maintainers to drop Ubuntu specific changes.
  * Update standards version to 4.1.4.
  * Replace the get-orig-source target in debian/rules by an imroved
    debian/watch uscan control file which downloads and repacks the tarball.
  * Convert debian/copyright into machine readable form and specify the
    excluded files there in a way usable by mk-origtargz repacker.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Apr 2018 14:00:06 +0300

erlang (1:20.3.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove patch introduced in the previous upload since it has been
    applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Mar 2018 14:39:57 +0300

erlang (1:20.3+dfsg-2) unstable; urgency=medium

  * Add a patch from upstream which fixes two bugs spotted in the
    erlang-questions mailing list.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 Mar 2018 10:56:05 +0300

erlang (1:20.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Replace the old Alioth VCS links in debian/control by new Salsa ones.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Mar 2018 21:22:09 +0300

erlang (1:20.2.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Feb 2018 15:06:40 +0300

erlang (1:20.2.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.
  * Bumped standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Feb 2018 16:00:15 +0300

erlang (1:20.2.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Dec 2017 10:58:12 +0300

erlang (1:20.2.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refreshed patches.
  * Removed a patch which fixed crash in OpenGL applications since it's
    already applied upstream.
  * Bumped standards version to 4.1.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 17 Dec 2017 21:43:24 +0300

erlang (1:20.1.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Applied a patch from upstream to fix crash in OpenGL applications like
    wings3d (closes: #881156).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2017 08:45:16 +0300

erlang (1:20.1.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 21 Nov 2017 22:42:48 +0300

erlang (1:20.1.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Switched to OpenSSL 1.1 for the crypto application (closes: #851080).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Nov 2017 18:57:56 +0300

erlang (1:20.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Fix assignment of predefined dpkg-architecture variables.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 03 Nov 2017 08:48:33 +0300

erlang (1:20.1.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Switched to the optional priority for erlang-base-hipe since the extra
    priority is obsolete now.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 29 Oct 2017 09:33:19 +0300

erlang (1:20.1.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Oct 2017 16:46:44 +0300

erlang (1:20.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refreshed patches.
  * Removed the obsolete build dependency on dh-systemd.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 04 Oct 2017 22:43:22 +0300

erlang (1:20.0.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refreshed patches.
  * Bumped debhelper compatibility version to 10.
  * Removed autotools-dev from the build dependencies because it's useless
    with debhelper compatibility version 10.
  * Bumped standards version to 4.0.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Aug 2017 09:45:39 +0300

erlang (1:20.0.1+dfsg-2) unstable; urgency=medium

  * Fixed erlang-depends to run on Erlang R20 (removed the -smp disable
    option which isn't supported anymore).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Jul 2017 10:22:43 +0300

erlang (1:20.0.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Jul 2017 09:24:38 +0300

erlang (1:20.0+dfsg-2) unstable; urgency=medium

  * Fixed patch for x32 architecture which led to FTBFS for *-i386
    architectures due to undefined __x86_64__.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 03 Jul 2017 14:19:40 +0300

erlang (1:20.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed the erlang-gs, erlang-percept and erlang-typer packages because
    the corresponding Erlang gs, percept and typer applications are dropped
    upstream.
  * Since the typer binary is still built (and some tools like reltool
    relies on its existence) move it to the erlang-base(-hipe) package.
  * Added erlang-typer to the replaces field for erlang-base(-hipe).
  * Removed provision of erlang-abi-15.b by erlang-base(-hipe) packages
    (closes: #860713).
  * Dropped the erlang-dbg package because now the debugging symbols are
    collected automatically into *-dbgsym packages which go to a separate
    repository.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 03 Jul 2017 10:46:07 +0300

erlang (1:19.2.1+dfsg-2) unstable; urgency=high

  * Applied a patch from the PCRE upstream which fixes CVE-2016-10253
    vulnerability (heap overflow while compiling certain regular expressions).
    The patch is taken from https://github.com/erlang/otp/pull/1108 and
    modified to match the original patch by PCRE developers (closes: #858313).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Mar 2017 15:31:29 +0300

erlang (1:19.2.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Jan 2017 23:02:47 +0300

erlang (1:19.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Removed the patch which fixed HiPE build with PIE enabled by default in
    the GCC C compiler, because it's been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2016 23:32:53 +0300

erlang (1:19.1.6+dfsg-2) unstable; urgency=medium

  * Use the solution from upstream to build HiPE if GCC enables PIE by default.
    The previous one breaks erlang-wx (closes: #844593).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2016 12:45:43 +0300

erlang (1:19.1.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Nov 2016 08:26:20 +0300

erlang (1:19.1.5+dfsg-2) unstable; urgency=medium

  * Temporarily switched to libssl1.0-dev until porting to OpensSSL 1.1 is
    complete.
  * Added -fno-pie -no-pie GCC flags to make sure the HiPE build works
    (closes: #842998).
  * Enabled verbose build logs to make them more useful in debugging.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Nov 2016 09:07:18 +0300

erlang (1:19.1.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Oct 2016 07:45:04 +0300

erlang (1:19.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Oct 2016 09:50:31 +0300

erlang (1:19.1.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Removed dangled symlink (closes: #839854).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Oct 2016 13:33:30 +0300

erlang (1:19.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Sep 2016 23:17:19 +0300

erlang (1:19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Refined patches which fix function prototype in beamload.c and help
    with FTBFS on x32.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Sep 2016 15:02:56 +0300

erlang (1:19.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 16:27:48 +0300

erlang (1:19.0.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 11:02:02 +0300

erlang (1:19.0.5+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Sep 2016 09:49:08 +0300

erlang (1:19.0.5+dfsg-2) experimental; urgency=medium

  * Dropped the erlang-test-server binary package since the corresponding
    application has been removed from the upstream distribution.
  * Adjusted the binary packages interdependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 11:47:54 +0300

erlang (1:19.0.5+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Aug 2016 09:30:31 +0300

erlang (1:19.0.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Dropped the erlang-webtool binary package since the corresponding
    application has been removed from the upstream distribution.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 10:52:09 +0300

erlang (1:19.0.2+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Jul 2016 15:57:00 +0300

erlang (1:19.0.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Disabled HiPE for the sparc64 architecture because it causes FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 30 Jun 2016 16:36:21 +0300

erlang (1:19.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Enabled HiPE for the ppc64, ppc64el, and sparc64 architectures.
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:59:29 +0300

erlang (1:19.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:31:10 +0300

erlang (1:18.3.4.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 11:22:08 +0300

erlang (1:18.3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Jul 2016 11:57:21 +0300

erlang (1:18.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream minor release.
  * Enabled HiPE for the ppc64 and ppc64el architectures (closes: #827447).
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:35:57 +0300

erlang (1:18.3.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release (closes: #827363).
  * Switched to Github for downloading the code because the minor updates
    haven't been released as tarballs on erlang.org.
  * Added libxml2-utils to the build dependencies because of xmllint (it
    is required for building docs).
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:19:45 +0300

erlang (1:18.3-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch which fixed FTBFS for GNU/kFreeBSD and GNU/Hurd introduced
    in 1:18.2-dfsg-2 because the bug is fixed upstream.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Mar 2016 21:22:08 +0300

erlang (1:18.2-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD and GNU/Hurd due to incorrectly checked
    presence of gethostname_r() function.
  * Fixed FTBFS for X32 architecture due to incorrectly used inline assembly.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Dec 2015 12:40:53 +0300

erlang (1:18.2-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Dec 2015 21:11:53 +0300

erlang (1:18.1-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2015 10:33:50 +0300

erlang (1:18.0-dfsg-2) unstable; urgency=medium

  * Added a patch from Chris Lamb which allows Erlang compiler to put
    a specified timestamp into the compiled binaries instead of the
    current time. This helps with reproducibility of Erlang binaries
    (closes: #795834).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Aug 2015 15:14:59 +0300

erlang (1:18.0-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches, removed patch which disables SSLv3 protocol in
    the ssl application because this protocol has been disabled upstream.
  * Changed the license in debian/copyright because upstream relicensed
    Erlang/OTP from Erlang public license to Apache 2.0 license.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Jun 2015 14:29:01 +0300

erlang (1:17.5-dfsg-2) unstable; urgency=medium

  * Upload into unstable.
  * Removed the patch which fixes TLS POODLE vulnerability in the Erlang
    SSL application (CVE-2015-2774) because it has been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 May 2015 08:18:40 +0300

erlang (1:17.5-dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Put erl_interface.app and erl_interface.appup into the erlang-dev package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 01 Apr 2015 12:04:55 +0300

erlang (1:17.4-dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Removed a patch which fixed empty SNI extension processing in the
    ssl application because it has been applied upstream.
  * Removed a patch which removes rpath from the crypto application binary
    and use the new --with-ssl-rpath=no configure option instead.
  * Search for an Erlang module manual page in section 3erl only in
    Emacs Erlang mode (closes: #772876).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Dec 2014 09:07:42 +0300

erlang (1:17.3-dfsg-4) unstable; urgency=medium

  * Added a patch from upstream which fixes TLS POODLE vulnerability in
    the Erlang SSL application (CVE-2015-2774) (closes: #781839).
  * Fixed erts_gzinflate_buffer() declaration to prevent possible buffer
    overflow (closes: #747593).
  * Replaced libsystemd-daemon-dev by libsystemd-dev in build dependencies
    (closes: #779750).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Apr 2015 17:00:55 +0300

erlang (1:17.3-dfsg-3) unstable; urgency=medium

  * Added a patch by Olly Betts which updates hard-coded wx constant values
    for wx3.0 (closes: #766790).
  * Disabled SSLv3 protocol in the ssl application (closes: #771359).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 30 Nov 2014 22:39:28 +0300

erlang (1:17.3-dfsg-2) unstable; urgency=medium

  * Removed erlang-pman, erlang-toolbar, erlang-tv packages because the
    corresponding applications were removed from the upstream distribution.
  * Fixed the packages dependencies (mostly removed obsolete dependencies
    on erlang-gs).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Oct 2014 13:13:55 +0400

erlang (1:17.3-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches. Removed patch which fixed some functions not
    following symlinks since it has been included into the upstream release.
  * Added a patch from upstream which fixes empty SNI-extension processing.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Sep 2014 19:05:53 +0400

erlang (1:17.1-dfsg-7) unstable; urgency=medium

  * Don't use /home/epmd as epmd home directory.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Aug 2014 08:21:59 +0400

erlang (1:17.1-dfsg-6) unstable; urgency=medium

  * Added missing dependency on adduser.
  * Switched to the new release versioning in debian/watch uscan control file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 17 Aug 2014 14:51:11 +0400

erlang (1:17.1-dfsg-5) unstable; urgency=medium

  * Enabled systemd support in epmd. The epmd unit is not enabled by default
    though.
  * Fixed SVN URL in the source package debian/control Vcs field.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Aug 2014 13:44:54 +0400

erlang (1:17.1-dfsg-4) unstable; urgency=medium

  * Created new file erlang-mode.emacsen-compat with zero value to comply
    with emacsen-common policy.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Jul 2014 13:34:09 +0400

erlang (1:17.1-dfsg-3) unstable; urgency=medium

  * Added patch by upstream which fixes regression in 17.1 (a few functions
    in the filelib module do not follow symlinks, closes: #754083).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Jul 2014 18:53:29 +0400

erlang (1:17.1-dfsg-2) unstable; urgency=medium

  * Fixed stopping and starting Erlang based services on upgrading the
    erlang-base and erlang-base-hipe packages.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Jul 2014 08:22:41 +0400

erlang (1:17.1-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which defines HiPE architecture for powerpc because it
    has been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jun 2014 09:43:41 +0400

erlang (1:17.0-dfsg-3) unstable; urgency=low

  * Removed the erlang-appmon package because the corresponding Erlang
    appmon application is dropped upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 07 May 2014 10:43:47 +0400

erlang (1:17.0-dfsg-2) unstable; urgency=low

  * Added missing link /usr/include/erl_native_features_config.h
    (closes: #746308)

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 May 2014 08:57:47 +0400

erlang (1:17.0-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which fixed CVE-2014-1693 because it is applied upstream.
  * Provide erlang-abi-17.0 because of the bump in driver version to 3, but
    don't remove the old erlang-abi-15.b yet because the older version 2
    is still loadable.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 10 Apr 2014 11:30:28 +0400

erlang (1:16.b.3.1-dfsg-3) unstable; urgency=low

  * Fixed CVE-2014-1693 by checking if the user, file, directory names
    contain <CR> or <LF> (closes: #738132).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Mar 2014 09:23:01 +0400

erlang (1:16.b.3.1-dfsg-2) unstable; urgency=low

  * Fixed symlinks to jquery.min.js and jquery.tablesorter.min.js
    (closes: #739141).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Feb 2014 09:12:05 +0400

erlang (1:16.b.3.1-dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed lib/common_test/priv/*.js from the source because they are
    minified Javascript files without source. Also, added libjs-jquery and
    libjs-jquery-tablesorter to the erlang-common-test dependencies
    (closes: #735896).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Jan 2014 21:46:45 +0400

erlang (1:16.b.3-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Removed patch wich fixes segfault in erlang-wx because it is applied
    upstream.
  * Removed link diameterc.1.gz because the original manpage is renamed
    from diameter-compile.1.gz to diameterc.1.gz.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Dec 2013 12:03:35 +0400

erlang (1:16.b.2-dfsg-2) unstable; urgency=low

  * Switched to wxWidgets 3.0 from 2.8 for erlang-wx application.
  * Fixed segfault on adding items to a wxListBox widget (reproducible with
    wxWidgets 3.0).
  * Added new erlang-dbg package with symbol files for libraries and
    binaries in the other packages (except erlang-base-hipe).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Nov 2013 14:51:50 +0400

erlang (1:16.b.2-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed patches for odbcserver and dets fixes because the bugs were
    fixed upstream.
  * Limited number of simultaneous jobs to 4 to use less build resources
    which makes build easier on systems with less memory.
  * Bumped debhelper compatibility version to 8.
  * Use dh_lintian to install lintian overrides.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Sep 2013 22:19:04 +0400

erlang (1:16.b.1-dfsg-5) unstable; urgency=low

  * Require libsctp-dev in build dependencies for all linux architectures
    (closes: #634614).
  * Added patch by upstream which fixes bad_object_header errors in dets
    (closes: #720415).
  * Ensure that Java bytecode is compatible with Java 1.5.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 24 Aug 2013 00:24:27 +0400

erlang (1:16.b.1-dfsg-4) unstable; urgency=low

  * Fixed the binary packages interdependencies.
  * Removed the erlang-inviso package because the inviso application was
    dropped from the upstream distribution.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Jul 2013 09:27:53 +0400

erlang (1:16.b.1-dfsg-3) unstable; urgency=low

  * Fixed crash in odbcserver if it's executed with unexpected data on stdin.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 06 Jul 2013 17:21:38 +0400

erlang (1:16.b.1-dfsg-2) unstable; urgency=low

  * Updated the erlang-diameter package description (closes: #713907).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Jun 2013 14:16:56 +0400

erlang (1:16.b.1-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches, removed the dialyzer patch which is included into
    the upstream tarball.
  * Switched to xz compressed tarball to save bandwidth. It is recompressed
    already to remove non-free RFCs, so no harm in changing compressor.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Jun 2013 14:10:46 +0400

erlang (1:16.b-dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * Switched to 3.0 (quilt) source format.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 06 May 2013 08:30:31 +0400

erlang (1:16.b-dfsg-2) experimental; urgency=low

  * Added patch by Maxim Treskin which fixes dialyzer error "duplicates
    modules".

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Mar 2013 14:37:46 +0400

erlang (1:16.b-dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Feb 2013 09:08:37 +0400

erlang (1:15.b.1-dfsg-4) unstable; urgency=low

  * Added link for to_erl communication program to /usr/bin. Also created
    manpage for to_erl(1) by copying the relevant info from
    /usr/share/doc/erlang-doc/doc/embedded/embedded_solaris.html.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Jan 2013 17:49:31 +0400

erlang (1:15.b.3.1-dfsg-1) experimental; urgency=low

  * New upstream bugfix release (closes: #697950).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Jan 2013 13:24:17 +0400

erlang (1:15.b.3-dfsg-1) experimental; urgency=low

  * New upstream release (upload to experimental because of freeze).
  * Removed debian/patches/m68k.patch which doesn't work anymore anyway.
  * Created a separate manpage for to_erl(1) by copying the relevant info
    from /usr/share/doc/erlang-doc/doc/embedded/embedded_solaris.html.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 Jan 2013 13:11:35 +0400

erlang (1:15.b.2-dfsg-2) experimental; urgency=low

  * Added link for to_erl communication program to /usr/bin. Also linked its
    manpage to run_erl.1 because there's no direct documentation on to_erl and
    it's intended to use in cooperation with run_erl.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Oct 2012 13:04:16 +0400

erlang (1:15.b.2-dfsg-1) experimental; urgency=low

  * New upstream release (upload to experimental because of freeze).
  * Refreshed patches.
  * Added -j option to make calls in debian/rules to make the build faster
    (the new upstream release supports parallel build).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 07 Sep 2012 14:15:37 +0400

erlang (1:15.b.1-dfsg-3) unstable; urgency=low

  * Moved kernel and stdlib include files from erlang-dev to the erlang-base
    and erlang-base-hipe packages, and snmp include to erlang-snmp because
    they are needed to run escripts. This makes two recommended dependencies
    on erlang-dev unnecesary.
  * Moved sources of the erl_docgen application to the erlang-src package.
  * Switched to xz compression of binary packages to save mirror disk space
    and network bandwidth.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 Jun 2012 01:02:17 +0400

erlang (1:15.b.1-dfsg-2) unstable; urgency=low

  * Depend on procps unconditionally since it works for all architectures now.
  * Create symlinks to erlang-mode sources when installing it to any Emacs
    flavor. This helps to use M-x describe-function for erlang mode in Emacs
    (closes: #670345).
  * Removed stale symlink to /usr/lib/erlang/usr/include/driver.h.
  * Fixed a few errors in manpages and added missing whatis entries.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 May 2012 16:13:21 +0400

erlang (1:15.b.1-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added new package erlang-eldap with Erlang LDAP library.
  * Added eldap application license to debian/copyright.
  * Use (debian-pkg-add-load-path-item <path>) instead of manipulating
    load-path directly in 50erlang-mode.el Emacs startup file as required
    by Debian Emacd policy (closes: #663408).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 04 Apr 2012 11:09:17 +0400

erlang (1:15.b-dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Remove a bunch of additional files on clean.
  * Verified that R15B builds fine on GNU/Hurd (closes: #636510).
  * Build SMP-aware Erlang emulator for GNU/Hurd.
  * Included all HiPE application sources into erlang-src package
    (closes: #653417).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Jan 2012 17:10:17 +0400

erlang (1:15.b-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental because this release breaks external drivers
    API along with ABI, so several applications are to be fixed.
  * Removed SSL patch because the old SSL implementation is removed from
    the upstream distribution.
  * Removed never used patch which added native code to erlang beam files.
  * Removed the erlang-docbuilder binary package because the docbuilder
    application was dropped by upstream.
  * Documented dropping ${erlang-docbuilder:Depends} substvar in
    erlang-depends(1) manpage.
  * Made erlang-base and erlang-base-hipe provide virtual package
    erlang-abi-15.b (the number means the first erlang version, which
    provides current ABI).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Dec 2011 19:20:10 +0400

erlang (1:14.b.4-dfsg-1) unstable; urgency=low

  * New upstream release (closes: #636678).
  * Added versionless symlinks to jinterface and ic Java packages in
    /usr/share/java directory.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 25 Oct 2011 17:30:40 +0400

erlang (1:14.b.3-dfsg-2) unstable; urgency=low

  * Added ed to the build-dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Jun 2011 14:53:15 +0400

erlang (1:14.b.3-dfsg-1) unstable; urgency=low

  * New upstream release (closes: #628456).
  * New Erlang/OTP application 'diameter'.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Jun 2011 08:39:43 +0400

erlang (1:14.b.2-dfsg-3) unstable; urgency=low

  * Enabled pre-Pentium-4 compatibility in the ethread library
    (closes: #621862).
  * Linked Erlang VM to the external Zlib.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 11 Apr 2011 07:42:46 +0400

erlang (1:14.b.2-dfsg-2) unstable; urgency=low

  * Fixed FTBFS because of missing snmpc.1 manpage when building architecture
    dependent packages only.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Apr 2011 15:12:10 +0400

erlang (1:14.b.2-dfsg-1) unstable; urgency=low

  * New upstream release (closes: #607233, #619857).
  * Removed patches which are no longer needed.
  * Created symlink to snmpc escript from /usr/bin directory. Added erlang-dev
    to the snmps recommended dependencies because snmpc uses some include
    files.
  * Added patch by upstream which fixes send_timeout option for TCP sockets.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Apr 2011 08:08:10 +0400

erlang (1:14.b.1-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Renamed /usr/bin/run_test link to /usr/bin/ct_run following upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Dec 2010 19:50:02 +0300

erlang (1:14.a-dfsg-3) unstable; urgency=low

  * Fixed a few spelling errors in packages descriptions and Debian changelog
    entries (closes: #592995, #597464).
  * Applised patch by upstream which fixes wx application crash
    (closes: #592821).
  * Switched to the old OpenSSL-based SSL implementation by default (it is
    still less buggy then the new one written in Erlang).
  * Enabled IPv6 for odbcserver and prefer IPv4 in odbc.erl to make odbc
    application working in IPv6-only environment (closes: #598525).
  * Overridden lintian error mesage about embedded pcre3 library because it
    is patched and cannot be replaced by a system one.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Nov 2010 12:25:50 +0300

erlang (1:14.b-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Overridden lintian error mesage about embedded pcre3 library because it
    is patched and cannot be replaced by a system one.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 31 Oct 2010 01:47:08 +0400

erlang (1:14.a-dfsg-2) unstable; urgency=low

  * Don't bytecompile erlang-flymake.el for Emacs flavors emacs21 and for
    all versions of XEmacs because they don't contain flymake
    (closes: #588474).
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Aug 2010 15:08:02 +0400

erlang (1:14.a-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Removed fix for re:compile/2 crash for a long regular expression because
    it is already included into the upstream source.
  * Since run_test is now a binary change the way it's put into the
    erlang-common-test package.
  * Split out architecture-independent erlang-ic-java package with Java
    classes. This also moves Java build-dependencies to build-depends-indep.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Jun 2010 17:39:38 +0400

erlang (1:13.b.4-dfsg-6) unstable; urgency=low

  * Fixed bashism in debian/rules (closes: #581450).
  * Added conflict of erlang-doc package with older erlang-base and
    erlang-base-hipe packages to prevent broken situation with erlang-base
    from stable (1:12.b.5) and erlang-doc from testing (1:13.b.4).
  * Added sun-java6-jdk as an alternative build dependency to make backporting
    to lenny and building on a headless machine possible.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Jun 2010 16:28:42 +0400

erlang (1:13.b.4-dfsg-5) unstable; urgency=low

  * Added missing symlinks to /usr/include for a few new header files.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Apr 2010 21:33:51 +0400

erlang (1:13.b.4-dfsg-4) unstable; urgency=medium

  * Fixed generation of ${erlang-base:Depends} and ${erlang-x11:Depends}
    substitution variables.
  * Added a fix for a re:compile/2 crash on a long regular expression.
  * Changed urgency to medium as the change fixes a security bug.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Mar 2010 09:02:05 +0300

erlang (1:13.b.4-dfsg-3) unstable; urgency=low

  * Manpages in section 1 are needed even if only arch-dependent packages are
    built. So, re-enabled them.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Mar 2010 17:34:57 +0300

erlang (1:13.b.4-dfsg-2) unstable; urgency=low

  * Fixed HiPE architecture recognition for powerpc Debian architecture.
  * Moved xsltproc and fop to build-depends-indep and do not build
    documentation if only architecture-specific packages are built.
  * Refreshed all patches.
  * Made Emacs look in man5 and man7 for Erlang manpages and added code
    skeleton files to erlang-mode package.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Mar 2010 21:15:39 +0300

erlang (1:13.b.4-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Moved manpages from incorrect sections 4 and 6 to correct 5 and 7
    (closes: #498492).
  * Made manpages regexp in Emacs mode match only 3erl pages in section 3.
  * Removed docb_gen script which is no longer needed to build manpages.
  * Added erlang-doc package which contains documentation in HTML and PDF
    formats. This package replaces erlang-doc-html package and it's easier
    to synchronize it with the main Erlang packages as it's built from
    a single source package (closes: #558451).
  * Removed RPATH from ssl and crypto application binaries as required by
    Debian policy.
  * Added libwxgtk2.4-dev and libwxgtk2.6-dev to build conflicts.
  * Added a few dependencies for erlang-dialyzer, erlang-et, erlang-observer
    and erlang-examples packages which now call functions from more modules
    than in 1:13.b.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Mar 2010 09:37:11 +0300

erlang (1:13.b.3-dfsg-5) unstable; urgency=low

  * Added a workaround which disables vfork() for hppa architecture
    (closes: #562218).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Feb 2010 10:49:00 +0300

erlang (1:13.b.3-dfsg-4) unstable; urgency=low

  * Strictened check for JDK 1.5 adding a call to String(int[], int, int)
    because GCJ 4.4 doesn't implement it and OpenJDK isn't available for all
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Feb 2010 10:28:44 +0300

erlang (1:13.b.3-dfsg-3) unstable; urgency=low

  * Fixed erlang-manpages package section.
  * Made erlang-depends add only substvars which are requested in
    debian/control file. This minimizes number of warnings from dh_gencontrol.
    Also, improved descriptions of the functions in erlang-depends escript.
  * Added erlang-erl-docgen package to erlang-nox dependencies.
  * Made dummy packages erlang-nox and erlang-x11 architecture all.
  * Cleaned up working with custom substitution variables in debian/rules.
  * Reorganized debian/rules to ensure that manpages aren't built twice, and
    aren't built at all if only architecture-dependent packages are requested.
  * Fixed project links in README.Debian.
  * Added a new package erlang-jinterface which provides tools for
    communication of Java programs with Erlang processes. This adds build
    dependency on default-jdk and as a result enables Java module for IDL
    compiler.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Feb 2010 15:01:16 +0300

erlang (1:13.b.3-dfsg-2) unstable; urgency=low

  * Fixed dialyzer(1) manpage which was placed into section 3 and conflicted
    with dialyzer(3erl).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Dec 2009 09:03:40 +0300

erlang (1:13.b.3-dfsg-1) unstable; urgency=low

  * New upstream release (it adds a new binary package erlang-erl-docgen).
  * Refreshed patches, removed most of emacs.patch which is applied upstream.
  * Linked run_test binary from erlang-common-test package to /usr/bin.
  * Fixed VCS headers in debian/control.
  * Moved from prebuilt manpages to generated from sources. This adds
    erlang-manpages binary package and xsltproc build dependency.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Dec 2009 19:44:54 +0300

erlang (1:13.b.2.1-dfsg-1) unstable; urgency=low

  * New upstream release (closes: #539269).
  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org
    mailing list.
  * Overridden another lintian warning about image file in /usr/lib.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Sep 2009 23:45:31 +0400

erlang (1:13.b.1-dfsg-6) unstable; urgency=low

  * Restored debug info in beam files for default build. It's better to use
    more space than to ship broken modules (debugger, dialyzer). The patch
    is simply commented out in debian/patches/series, so if someone has to
    strip debug info, he can simply uncomment it.
  * Disabled SMP support for hurd-i386 architecture, because of FTBFS in case
    when SMP is enabled.
  * Added debian/README.source file with a reference to
    /usr/share/doc/quilt/README.source.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 18 Aug 2009 01:29:25 +0400

erlang (1:13.b.1-dfsg-5) unstable; urgency=low

  * Fixed parentheses in Emacs mode (closes: #536891).
  * Removed unnecessary conflicts with erlang-manpages package.
  * Added workaround for #475459: disabled threads on sparc architecture.
    This breaks wxErlang, so it's only a temporary solution.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Aug 2009 20:54:29 +0400

erlang (1:13.b.1-dfsg-4) unstable; urgency=low

  * Made mutual dependencies of Erlang packages more parsimonious (removed
    unnecessary dependencies following erlang-depends advise).
  * Added several new options to erlang-depends tool (-v, -P, --ignore).
  * Made erlang-nox and erlang-x11 transitional packages (which will be
    removed after squeeze release).
  * Guarded change in the m68k patch for non-m68k architectures.
  * Fixed building Erlang VM with debug information compiled in. Added a few
    words about debug build to README.Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Jul 2009 15:02:33 +0400

erlang (1:13.b.1-dfsg-3) unstable; urgency=low

  * Removed Torsten Werner from the uploaders list as per his request.
  * Removed full path from epmd calls in erlang-base and erlang-base-hipe
    prerm scripts.
  * Added ${erlang:Depends} substvar which expands into a list of Erlang
    packages which modules are actually used in application.
  * Bumped standards version to 3.8.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jun 2009 14:13:14 +0400

erlang (1:13.b.1-dfsg-2) unstable; urgency=low

  * Updated manpages for section 1.
  * Applied patch by James Henstridge, which sets ERL_COMPILE_FLAGS based on
    DEB_BUILD_OPTIONS. By default slim runtime without debug info is built.
    To remove slim option set DEB_BUILD_OPTION to 'nostrip', to add debug_info
    compiler option set DEB_BUILD_OPTION to 'debug'. Or it may be set to
    'nostrip,debug' to return to the previous level of debug information
    (closes: #532757).
  * Added a few words about building Erlang packages with debug info included
    to README.Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Jun 2009 08:49:38 +0400

erlang (1:13.b.1-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed unnecessary dependency of erlang-os-mon on erlang-observer and
    erlang-tools and added missing dependency of erlang-nox on erlang-os-mon
    (closes: #529512).
  * Removed a patch to eunit application because the bug was fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Jun 2009 12:18:07 +0400

erlang (1:13.b-dfsg1-1) unstable; urgency=low

  * Removed another bunch of non-free RFCs from original tarball
    (closes: #527053).
  * Fixed build-dependencies list by adding missing comma. This requires
    libsctp-dev again. Also, added libsctp1 dependency to erlang-base and
    erlang-base-hipe packages because the shared library is loaded via
    dlopen now and cannot be added using dh_slibdeps (closes: #526682).
  * Weakened dependency of erlang-webtool on erlang-observer to recommends
    to avoid circular dependencies (closes: #526627).
  * Added solaris-i386 to HiPE enabled architectures.
  * Made script sources in /usr/lib/erlang/erts-*/bin directory executable,
    which is more convenient if a user wants to create a target Erlang system.
  * Shortened extended description line for erlang-dev package to make it
    fit 80x25 terminals.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 May 2009 15:07:37 +0400

erlang (1:13.b-dfsg-2) unstable; urgency=low

  * Cleaned up patches: removed unneeded patch which helped to support
    different SCTP library versions, made sure that changes for m68k
    architecture applied only when building on this architecture.
  * Removed duplicated information from binary packages descriptions.
  * Don't require libsctp-dev build-dependency on solaris-i386 architecture
    which allows to build Erlang on Nexenta (thanks to Tim Spriggs for
    the suggestion).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 May 2009 10:14:38 +0400

erlang (1:13.b-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Reduced number of packaged in build dependencies (removed unnecessary
    freeglut3-dev).
  * Added all new packages to erlang-depends script.
  * Put start scripts and releases sources into erlang-src package. They
    are needed when a target Erlang system is to be created.
  * Temporarily changed architecture of erlang-nox and erlang-x11 packages
    from all to any. Otherwise they will be broken during transition period
    when the new split Erlang is uploaded but isn't built on all architectures
    yet.
  * Added a patch which fixes backquote syntax in Erlang mode for Emacs
    (closes: #494823). Thanks to Balint Reczey.
  * Added a patch by upstream to eunit application. It makes eunit compatible
    with Erlang R13B.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2009 09:04:23 +0400

erlang (1:13.a-dfsg-1) experimental; urgency=low

  * New upstream beta release.
  * Added packages libwxgtk2.8-dev, freeglut3-dev to build dependencies to make
    wxErlang buildable.
  * Split erlang-nox and erlang-x11 packages into a bunch of smaller packages
    for individual Erlang/OTP applications. erlang-nox and erlang-x11 are still
    exist and depend on the correspondent packages.
  * Overridden lintian error 'embedded-zlib' because zlib included into Erlang
    VM is patched, so using system-wide zlib will lead to unknown consequences.
  * Bumped standards version to 3.8.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Apr 2009 16:32:04 +0400

erlang (1:12.b.5-dfsg-3) unstable; urgency=low

  * Added a patch which fixes HTTP URI decoding if {packet, http} socket
    option is used.
  * Added a patch which fixes backquote syntax in Erlang mode for Emacs
    (closes: #494823). Thanks to Balint Reczey.
  * Bumped standards version to 3.8.1.
  * Put start scripts and releases sources into erlang-src package. They
    are needed when a target Erlang system is to be created.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2009 08:54:39 +0400

erlang (1:12.b.5-dfsg-2) unstable; urgency=low

  * Upload to unstable after lenny is released.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Feb 2009 16:42:52 +0300

erlang (1:12.b.5-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed detaching from a controlling terminal because
    this bug was fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Nov 2008 22:24:46 +0300

erlang (1:12.b.4-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Mangled debian version number in uscan control file debian/watch because
    it contains -dfsg suffix.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Sep 2008 21:27:27 +0400

erlang (1:12.b.3-dfsg-4) unstable; urgency=low

  * Fixed erlang-depends script to add optional dependency on erlang-base-hipe
    to ${erlang-base:Depends} substvar for all architecture-independent
    packages. Otherwise building them on different architectures will lead to
    different dependencies.
  * Added Vcs-Svn and Vcs-Browser headers to debian/control.
  * Removed package libgd2-xpm-dev from build dependencies which is not
    necessary anymore.
  * Added a patch which fixes detaching of erlang process from a controlling
    terminal (closes: #463538).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Jul 2008 08:12:37 +0400

erlang (1:12.b.3-dfsg-3) unstable; urgency=low

  * Fixed patches to re-enable building erlang regexp driver for common_test
    application on hurd-i386 architecture.
  * Refreshed patches and made their description more clear.
  * Made dependencies of architecture-independent packages erlang,
    erlang-examples and erlang-src the same regardless of whether they are
    built on HiPE-enabled architecture or not.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Jul 2008 09:18:15 +0400

erlang (1:12.b.3-dfsg-2) unstable; urgency=low

  * Adjusted erlang-base-hipe package priority to extra as it conflicts with
    erlang-base.
  * Added several substitution variables in debian/control to remove
    dependencies on hurd and erlang-base-hipe for architectures where these
    packages don't exist.
  * Changed erlang-depends script to generate dependency on erlang-base-hipe
    only for architectures where HiPE is available.
  * Enabled kernel poll for kfreebsd-i386 and kfreebsd-amd64 architectures.
  * Explicitly specified host and build architecture to erlang configure
    script.
  * Typer application requires dialyzer to work, so moved it to erlang-x11
    package.
  * Added a typer manpage based on typer --help output.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Jul 2008 22:53:54 +0400

erlang (1:12.b.3-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed perl from build dependencies because it is build-essential.
  * Added checks for error code 2 after quilt invocation which means that all
    patches are already pushed/popped. This allows to convert the source
    package to 3.0 (quilt) format.
  * Enabled building of erlang regexp driver for kfreebsd-* and hurd-i386
    architectures.
  * Unconditionally enabled SMP and hybrid heap (which currently doesn't build
    anyway) emulators in configure call.
  * Reordered calls to dh_makeshlibs, dh_shlibdeps, dh_installdeb in
    debian/rules.
  * Removed unused lintian overrides from erlang-nox and erlang-src packages.
  * Bumped standards version to 3.8.0.
  * Fixed references to manpages from section 3 (replaced (3) by (3erl)).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Jun 2008 17:38:24 +0400

erlang (1:12.b.2-dfsg-3) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 May 2008 12:38:36 +0400

erlang (1:12.b.2-dfsg-2) unstable; urgency=low

  * Added a patch by Balint Reczey <balint@balintreczey.hu> which adds missing
    SCTP_ADDR_CONFIRMED event to Erlang SCTP API (closes: #475540). To use
    this event erlang must be build with libsctp-dev (>= 1.0.7).
  * Moved percept application from erlang-x11 to erlang-nox because it doesn't
    require libgd2-xpm anymore.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Apr 2008 11:16:52 +0400

erlang (1:12.b.2-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed a patch which allowed to build Erlang with HiPE on i386
    architecture with glibc 2.7 because it is included into upstream
    distribution.
  * Removed patch which defined MAXHOSTNAMELEN because orber doesn't need it
    anymore on hurd-i386.
  * Updated manual pages.
  * Cleaned LDFLAGS environment variable when configuring rx library (in
    common_test application) to make it work with newer GCC.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 10 Apr 2008 16:05:01 +0400

erlang (1:12.b.1-dfsg-5) unstable; urgency=low

  * Removed workaround for a bug in gcc-4.2 for mips and mipsel architectures.
  * Removed workaround for a bug in gcc-4.2 for m68k architecture.
  * Added -fno-strict-aliasing to GCC options to make casting integers to
    pointers possible (it's a workaround for C99 rule violation).
    Closes: #472554.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Apr 2008 22:46:36 +0400

erlang (1:12.b.1-dfsg-4) unstable; urgency=low

  * Moved README to /usr/share/doc/erlang-mode/ directory.
  * Clarified titles in menu and desktop files.
  * Generated run script for common_test application.
  * Updated TODO.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Mar 2008 21:58:02 +0300

erlang (1:12.b.1-dfsg-3) unstable; urgency=low

  * Fixed a workaround for buildd timeout while building dialyzer PLT.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Feb 2008 20:03:49 +0300

erlang (1:12.b.1-dfsg-2) unstable; urgency=low

  * Copied Erlang Emacs mode files to /usr/share/emacs/site-lisp/erlang
    instead of linking which allows to loosen erlang-mode dependencies. Now it
    becomes more reliable and doesn't break in unstable until buildd compiles
    erlang on the corresponding architecture.
  * Moved link /usr/lib/erlang/man -> /usr/share/man from erlang-base to
    erlang-mode package since it is used only to allow showing manpages by
    Emacs.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 17 Feb 2008 12:27:52 +0300

erlang (1:12.b.1-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added a patch which fixes building common_test application shared library
    on certain architectures (added -fPIC to gcc options, closes: #454615).
  * Included stdlib.h, stdio.h and string.h headers while building common_test
    application driver to fix implicit declaration warnings.
  * Added explicit -lc to libraries list to fix lintian complain about static
    linking.
  * Reordered manpage sections in MANSECT environment variable (put 3erl to
    the front) to minimize probability of getting unexpected manpage using
    erl -man (closes: #458744).
  * Added patch by Mikael Pettersson to fix HiPE enabled build on i386
    architecture.
  * Added a workaround for a bug in gcc-4.2 which caused FTBFS on m68k.
  * Added homepage header to debian/control.
  * Switched to a dependency on the default tk package instead of tk8.4.
  * Added a check for error condition when stopping erlang-based services on
    erlang-base or erlang-base-hipe upgrades (closes: #462138).
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Feb 2008 00:00:10 +0300

erlang (1:11.b.5dfsg-12) unstable; urgency=low

  * Added a hack to prevent crashes during networking operations on m68k
    architecture.
  * Fixed checking for floating point exceptions on i386 architecture
    (closes: #456868).
  * Added extra check for existence of pgrep to make prerm script working on
    hurd-i386 architecture.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Jan 2008 15:29:36 +0300

erlang (1:11.b.5dfsg-11) unstable; urgency=low

  * Undefined BSD4_4 in os_mon application port driver memsup for hurd-i386
    architecture.
  * Skipped building SSL certificate examples on hurd-i386 architecture
    because it has no a random translator.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 07 Dec 2007 01:18:09 +0300

erlang (1:11.b.5dfsg-10) unstable; urgency=low

  [ Sergei Golovan ]
  * Enabled IPv6 in ssl_esock (closes: #449304).
  * Copied real manual pages for user commands from erlang-manpages package
    (closes: #449100).
  * Renamed /usr/bin/start to /usr/bin/start_embedded to prevent possible
    confusion with /usr/bin/startx (closes: #449099).
  * Relaxed suggested packages (removed versioned suggests) in debian/control.
  * Adjusted HiPE architecture from ppc64 to ppc if 32-bit code is generated
    (closes: #451505).
  * Commented out native.diff in debian/patches/series because native code
    requires more memory resources if the package without HiPE is used. Those
    who want to enable native code may uncomment it and rebuild the package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Nov 2007 16:08:08 +0300

erlang (1:11.b.5dfsg-9) experimental; urgency=low

  * Added a patch which allows to build Erlang with HiPE on i386 architecture
    with glibc 2.7.
  * Build all modules with native code on architectures where HiPE is enabled.
    This increases their size more than two times but gives a significant
    performance gain for CPU-intensive tasks.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Oct 2007 21:06:55 +0400

erlang (1:11.b.5dfsg-8) unstable; urgency=low

  * Added alternative dependency of erlang-base and erlang-base-hipe on hurd
    to make them installable on hurd-i386 architecture.
  * Forced build of beam_emu.c with -O0 optimization option on mips/mipsel
    architectures to bypass a bug in GCC 4.2 (thanks to Martin Michlmayr for
    this workaround).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Oct 2007 16:03:31 +0400

erlang (1:11.b.5dfsg-7) unstable; urgency=low

  * Applied patch by Mikael Magnusson which fixes building of SCTP support
    with libsctp-dev 1.0.7, and enabled SCTP for Linux architectures
    (closes: #436258).
  * Unconditionally required using clock_gettime for time correction on Linux
    architectures. As a result, the package will not build and work on 2.4
    kernels.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Sep 2007 14:29:23 +0400

erlang (1:11.b.5dfsg-6) unstable; urgency=low

  * Added a script which prints out dots during dialyzer persistent lookup
    table creating. This prevents build timeouts in buildd on a slow machines.
  * Added build-dependency on bison.
  * Fixed a small error in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 23 Sep 2007 21:13:12 +0400

erlang (1:11.b.5dfsg-5) unstable; urgency=low

  * Weakened dependency of erlang-x11 on tk8.4 to Recommends since this
    package is useful even without X-Window system.
  * Weakened dependencies of erlang on erlang-src, erlang-examples and
    erlang-mode to make the package more robust in unstable during build
    cycles.
  * Moved several forgotten source directories to erlang-src.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.
  * Moved erlang-nox and erlang-x11 menu items from Apps to Applications
    section.
  * Overridden lintian warning desktop-command-not-in-package since
    /usr/bin/erl is included into a package on which erlang-nox depends.
  * Fixed cleanup patch.
  * Added patch which defines MAXHOSTNAMELEN. It is harmless on all Linux
    architectures, but fixes orber building on hurd-i386.
  * Redefined HOME environment variable to fix Erlang compiler warnings in
    case when HOME points to an existent inaccessible directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Sep 2007 13:09:46 +0400

erlang (1:11.b.5dfsg-4) unstable; urgency=low

  * Skip dialyzer during the second (HiPE enabled) build to save build time.
  * Do not build erlang-base-hipe package on arm architecture since only
    big-endian ARM mode is supported. As a result, patch 31arm.diff is
    removed.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 28 Aug 2007 12:04:34 +0400

erlang (1:11.b.5dfsg-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Added Sergei Golovan <sgolovan@debian.org> to uploaders list.
  * Linked /usr/share/man to /usr/lib/erlang directory and added support for
    compressed manual pages to Erlang mode. This allows to read manual pages
    using Erlang mode for Emacs (closes: #436044).
  * Added patch which helps to reveal certain build failures (the author is
    Christian Faulhammer).
  * Overridden lintian warnings about shell script skeletons in megaco
    examples directory.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Aug 2007 21:53:10 +0400

erlang (1:11.b.5dfsg-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Linked openssl libraries dynamically instead of new default static linking
    which causes difficulties with security updates.

 -- Torsten Werner <twerner@debian.org>  Thu, 02 Aug 2007 13:01:22 +0400

erlang (1:11.b.5dfsg-1) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed using incorrect original tarball in previous version. (Also,
    dfsg suffix indicates changes with respect to original distribution.)
  * Added a check for prebuilt binaries and non-free docs to debian/rules.

 -- Torsten Werner <twerner@debian.org>  Sun, 29 Jul 2007 13:58:34 +0400

erlang (1:11.b.5-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release (fixes FTBFS with glibc 2.6, closes: #434342).
  * Removed patch which fixed Delete key binding in Erlang mode for emacs
    since it is included into upstream distribution.
  * Added build-arch and build-indep targets to debian/rules (they are
    equivalent to build target since the whole build is required to create
    architecture-dependent and architecture-independent packages).

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Jun 2007 17:49:41 +0400

erlang (1:11.b.4-4) unstable; urgency=low

  [ Sergei Golovan ]
  * Made erlang-base and erlang-base-hipe provide virtual package
    erlang-abi-11.b.3 (the number means the first erlang version, which
    provides current ABI). Its version must be changed after any changes
    in ABI made by upstream. Also added ${erlang-abi:Depends} substitution
    variable to erlang-depends script.
  * Added Erlang homepage to debian/control.
  * Removed lintian override files for erlang-base and erlang-base-hipe
    since they are no longer needed. Also, removed override for
    binary-without-manpage from erlang-x11.lintian-override.
  * Converted erlang-nox and erlang-x11 to architecture-any packages and
    moved all relevant binaries from erlang-base to these packages.
  * Made erlang-base (and erlang-base-hipe) suggest erlang-nox and erlang-x11
    instead of recommending because the default aptitude behavior is to
    install recommended packages. This avoids installing X window system when
    only some server application is needed (ejabberd, yaws etc.).
  * Fixed binary-arch and binary-indep targets dependencies in debian/rules.

 -- Torsten Werner <twerner@debian.org>  Sat, 16 Jun 2007 17:21:57 +0400

erlang (1:11.b.4-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed cleanup after package build (closes: #424198).
  * Applied patch by Mikael Magnusson, which adds IPv6 support to ssl
    application (closes: #413401).

 -- Torsten Werner <twerner@debian.org>  Fri, 18 May 2007 09:32:00 +0400

erlang (1:11.b.4-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Replaced `ps` by `pgrep` in prerm scripts to make them more clear.
  * Added dependency on procps package because `pgrep` is used in prerm
    scripts and procps is not an essential package (closes: #417413).
  * Updated TODO.Debian.

 -- Torsten Werner <twerner@debian.org>  Sun, 08 Apr 2007 19:21:46 +0400

erlang (1:11.b.4-1) experimental; urgency=low

  [ Sergei Golovan ]
  * New upstream release R11B-4.
  * Added stub manual page for escript.

 -- Torsten Werner <twerner@debian.org>  Wed, 28 Mar 2007 20:15:50 +0400

erlang (1:11.b.3-1) experimental; urgency=low

  * New upstream release.

  [ Torsten Werner ]
  * Change header of erlang-depends(1) man page.

  [ Sergei Golovan ]
  * Fixed FTBFS on m68k architecture.
  * Documented RSA derived code license in debian/copyright
    (closes: #405360).
  * Switched to quilt for patch management
  * Switched to conventional source:Version, binary:Version and
    source:Upstream-Version substvars (thus making porting to sarge
    nontrivial).
  * Added flex build-dependency (it is needed by megaco application).
  * Added autoconf2.13 to Build-Conflicts because if it is present then
    it is used instead of autoconf 2.50 and fails.
  * Fixed clause arrows syntax highlighting in Erlang mode for Emacs
    (closes: #413052).
  * Fixed $' and $" patterns syntax highlighting in Erlang mode for Emacs.

 -- Torsten Werner <twerner@debian.org>  Fri, 09 Feb 2007 20:44:55 +0300

erlang (1:11.b.2-4) unstable; urgency=medium

  [ Sergei Golovan ]
  * Fixed erlang-base and erlang-base-hipe prerm scripts.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sun, 03 Dec 2006 17:07:44 +0300

erlang (1:11.b.2-3) unstable; urgency=medium

  * Introduce erlang-depends to calculate ${erlang-*:Depends} for packages
    that Build-Depend on erlang.
  * Setting urgency to medium because this revision does not change any
    existing functionality but it is important for future backports to etch.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Nov 2006 21:47:53 +0100

erlang (1:11.b.2-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Added IPv6 name resolution patch by Mikael Magnusson (closes: #399628)

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 21 Nov 2006 22:07:56 +0300

erlang (1:11.b.2-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Removed /dev/epoll support patch. Now /dev/epoll is supported
    out-of-the-box.
  * Optimized erlang-base and erlang-base-hipe prerm and postinst
    scripts (thanks to Aaron M. Ucko, closes: #394379).
  * Changed erlang-base and erlang-base-hipe prerm scripts to stop
    erlang-based services on 'remove in-favour' operation and postinst
    scripts to start the services on any 'configure' operation. It
    makes upgrading when conflicting erlang-doc-html is installed or
    replacing erlang-base by erlang-base-hipe (or vice versa) correct.
  * Added stub manual pages for all utilities, which are placed to
    /usr/bin/, with reference to erlang-manpages package.
  * Added conflict with erlang-manpages <= 1:11.b.1-2 because of
    added stub manpages.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Wed, 08 Nov 2006 17:44:44 +0300

erlang (1:11.b.1.dfsg-1) unstable; urgency=medium

  [ Sergei Golovan ]
  * Removed non-free documentation from the upstream source and added
    dfsg suffix to version number (closes: #393367).
  * Removed conflicts with erlang-doc-html from all packages except
    erlang-base and erlang-base-hipe.
  * Removed conflicts with erlang binary packages from all packages
    (made them just replace earlier versions).
  * Added erlang-src, erlang-examples, and erlang-mode dependency on
    erlang-base (or erlang-base-hipe). It's done only for easier
    packaging.
  * Moved overriding config.sub and config.guess from dpatch
    to debian/rules.
  * Bind Backspace key in Erlang mode for Emacs and XEmacs differently
    (closes: #388851).
  * Added description to all patches in debian/patches.

  [ Torsten Werner ]
  * Set urgency to medium, because we are fixing a RC bug.

 -- Torsten Werner <twerner@debian.org>  Mon, 16 Oct 2006 19:30:39 +0200

erlang (1:11.b.1-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream version.
  * Removed 43beam_makeopts.dpatch as it is included in upstream.
  * Overridden lintian complain about missing manual page for dialyzer
    (it is available from erlang-manpages package).
  * Made "make clean" not removing bootstrap files. Otherwise the second
    build cannot be successful.
  * Changed dependencies on erlang-base and erlang-base-hipe to allow
    binary-only NMUs.

  [ Torsten Werner ]
  * add SVN id in README.Debian.

 -- Torsten Werner <twerner@debian.org>  Tue,  5 Sep 2006 18:11:45 +0200

erlang (1:11.b.0-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Made odbc driver build on 64-bit architectures.
  * Added debian/watch control file.
  * Added link from /usr/lib/erlang/include/driver.h to /usr/include
    (it seems not to conflict with other packages).
  * Disabled optimization for m68k (both -O1 and -O2 do not work,
    see bug #378599).

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Wed, 19 Jul 2006 09:03:17 +0400

erlang (1:11.b.0-2) experimental; urgency=low

  [ Sergei Golovan ]
  * Added odbc application building (with unixodbc dependency).

  * Merged changes from erlang 1:10.b.10-3, namely:

  * Replaced ibm-linux by ibm-linux-gnu in config.guess.
  * Use -O1 optimization flag for m68k (workaround for bug in GCC, but there
    are still bugs in glibc, so it's unlikely to build erlang on m68k).
  * Corrected erlang-dev short description.
  * Corrected erlang-src.patterns (moved non-source gs application files to
    erlang-x11).
  * Added prerm and postinstall scripts which stop and start erlang-dependent
    services (otherwise certain services, e.g. ejabberd become irresponsible
    after upgrading erlang).
  * Removed gawk from Build-Depends (mawk is required package and is
    sufficient), replaced perl5 by perl because perl5 is a virtual package
    and can't be installed.
  * Moved erlang.xpm to /usr/share/pixmaps.
  * Added erlang.desktop to /usr/share/apps/konsole directory making
    possible to start erlang from Konsole menu.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sat, 08 Jul 2006 09:38:26 +0400

erlang (1:11.b.0-1) experimental; urgency=low

  [ Sergei Golovan ]
  * New upstream version.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 20 Jun 2006 12:48:30 +0400

erlang (1:10.b.10-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed erlang-x11.menu (Erlang Toplevel requires terminal).
  * Applied patch, which fixes large list matching bug on 64-bit
    architectures (see
    http://www.erlang.org/ml-archive/erlang-questions/200606/msg00372.html
    and http://www.erlang.org/ml-archive/erlang-questions/200606/msg00425.html).
  * replaced "-include" for "include" in debian/rules to make get-orig-source
    target working in any directory (see section 4.8 of Debian Policy Manual).

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Mon, 19 Jun 2006 23:10:52 +0400

erlang (1:10.b.10-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed erlang-dev patterns (excluded private file from orber
    application)
  * Added patch for building erlang-base-hipe on arm architecture.
  * Added libiodbc2-dev and unixodbc-dev to Build-Conflicts to prevent
    accidental building of odbc application.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 13 Jun 2006 14:05:39 +0400

erlang (1:10.b.10-1) unstable; urgency=low

  * New upstream release.
  * Added patch for building Erlang on GNU/kFreeBSD (Closes: #345204).
  * As a side effect Erlang can be built on GNU/Hurd now.
  * Added patch for building Erlang on Sparc (Closes: #328031).
  * Added erlang-dev package, containing development files (C-interface
    headers and libraries, Erlang/OTP application headers). Closes: #367614.
  * Added erlang-examples package, containing Erlang/OTP application
    examples.
  * Cleaned up debian/rules script, added the possibility to configure
    Erlang without kernel poll support (useful for kFreeBSD and Hurd
    architectures).

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sat, 10 Jun 2006 14:33:56 +0400

erlang (1:10.b.9-5) unstable; urgency=low

  * Sergei Golovan noticed that on platforms supporting HiPE, erlang-
    base and erlang-base-hipe and configured the same way.  Fixed.
  * New maintainers: Erlang Packagers
  [ Sergei Golovan ]
  * Removed unused files (updvsn, preservebeam, extrafiles, erlang-doc.docs,
    *.install).
  * Removed unnecessary patches from patches/00list.
  * Made templates from erlang-base.links, erlang-mode.links,
    erlang-base-hipe.links. Replaced explicit version numbers to version
    templates.
  * Corrected dependencies in control file (replaced erlang-base-hipe by
    erlang-base because erlang-base-hipe is not always available, made all
    packages conflict with erlang-manpages and erlang-doc-html with
    incompatible versions).
  * Cleaned up lintian override files.
  * Made installing erlang with and without HIPE to debian/erlang-hipe and
    debian/erlang-std respectively (making debugging easier). Rewrote install
    part of the script (made it removing some src files and object files from
    ssl and crypto applications). Made some cleanups in rules.
  * Fixed warnings of missing final newline in several files.
  * Added menu entries to erlang-nox and erlang-x11 packages (since they use
    /usr/bin/erl which is not present in these packages, there are also new
    entries in lintian override files).
  * Added supervisor performance improvement patch
    (http://support.process-one.net/browse/EJAB-19).
  * Added epoll support patch
    (http://developer.sipphone.com/ejabberd/erlang_epoll_patch/).
  * Restored patch which makes erl -man searching manual pages in the
    standard locations.
  * Moved sasl and stdlib beams from erlang-nox to erlang-base-hipe and
    erlang-base packages making them usable without erlang-nox.
  * Closes: #367996
  * Replaced Ericcson by Ericsson in control file (Closes: #368808)
  * Added conflicts of erlang-nox, erlang-x11, erlang-base, erlang-base-hipe
    with erlang-src of incompatible version.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Mon, 29 May 2006 00:48:11 +0400

erlang (1:10.b.9-4) unstable; urgency=low

  [ Francois-Denis Gonthier ]
  * Disables HiPE build for hppa64 and m68k.
  * Upgraded policy version.

  [ Torsten Werner ]
  * disabled HiPE build an arm (not only armv4l)
  * added myself to the Uploaders: field in debian/control

 -- Torsten Werner <twerner@debian.org>  Tue, 16 May 2006 17:35:41 +0200

erlang (1:10.b.9-3) unstable; urgency=low

  * Closes: #366398: Same has #358410.
  * Closes: #357134: NMU of Luk Claes.  Most of those errors were already
    fixed in the new package.  Thanks.
  * Closes: #358179: Removed the copy of the LGPL in the copyright file.
    I've put the required shorter text.
  * Disabled HiPE build for mips, arm, mipsel, s390 and sparc, in hope
    that it fixes FTBFS on those platforms.
  * Closes: #358410.  erlang-src and erlang-mode are now Architecture:
    all.
  * erlang-nox and erlang-x11 are now built as arch-dependent targets
    since, practically, they depend on one of erlang-runtime to be
    built.
  * Added a link from /usr/lib/erlang/usr/include to /usr/include/erlang
    to fix potential FTBFS of dependencies of Erlang.
  * cant install erlang package (dependencie problem) (Closes: #366398)

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Mon,  8 May 2006 21:06:21 -0400

erlang (1:10.b.9-2) unstable; urgency=low

  * Closes: #333853, moved driver_int.h and erl_driver.h to
    /usr/include.
  * Closes: #331817, added debconf-2.0 alternative to erlang
    dependencies.
  * Closes: #344118, added a missing "," in Depends in the
    control file.
  * Removed dependency to bash v3, which means Erlang 10.b.9-2 is
    backportable to Sarge thanks to Sergei Golovan.
  * 10.b.9-1 was a test version that was announced on the erlang-
    questions mailing list.
  * erlang-manpages: Manpages are not where erl -man looks for them
    (Closes: #348333). erl -man is now using the standard manual path
    and MANSECT=1:3erl:4:6.
  * /usr/bin/ear is a dangling symlink (Closes: #346548)
  * Removed ear, ecc, elink, escript, which are bad links produced even
    by the standard erlang install (I sure should ask erlang-questions
    about those).
  * FTBFS: build-depends on removed xlibs-dev (Closes: #346655)

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Tue, 24 Jan 2006 13:07:19 -0500

erlang (1:10.b.9-1) unstable; urgency=low

  * New upstream version.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Wed, 14 Dec 2005 11:42:47 -0500

erlang (1:10.b.8-2) unstable; urgency=low

  * HiPE-enabled binaries are now put in their own package.
  * Source files (*.erl, *.hrl, *.c and *.h) are now put in their own
    package since they are not required to use the system.
  * Well, I have dpatch'ified the thing but since I now use svn-
    buildpackage locally, the patches are not rather useless.
  * Closes: #333853
  * Closes: #331817
  * Major rules overhaul.  I've had some problems getting some targets
    to run twice but I worked around them.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Mon, 28 Nov 2005 14:44:55 -0500

erlang (1:10.b.8-1) unstable; urgency=low

  * new upstream version
  * fully dpatch'ified.
  * Emacs editing mode pulled from the main package and put into it's
    own erlang-mode package.
  * As it was suggested a few times, I've split the main arch-
    independent package in two.  There is now an erlang-nox package
    which include the base applications that don't require tk8.4 to
    work.  The applications that depend on gs and thus on tk8.4 and now
    in erlang-x11.
  * The files that go in the 3 packages are now determined using regular
    expressions.  See analyse.sh for details.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Tue,  1 Nov 2005 23:24:01 -0500

erlang (1:10.b.7-2) unstable; urgency=low

  * Now using autooconf2.5x
  * The whole package is now dpatch'ified.
  * I've simplified the aggressive cleaning done in the clean phase of
    debian/rules.  It doesn't mean that it was wrong, but right now I
    don't fully understand the need for it.  I take care of preserving
    the pristine content of the bootstrap directory instead of using the
    weird preservebeam script.  I suspect that might be causing some
    problems on some platforms although I don't really know why.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Wed, 28 Sep 2005 00:02:28 -0400

erlang (1:10.b.7-1) unstable; urgency=low

  * new upstream version
  * Closes: #317456 #310741

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Mon,  5 Sep 2005 20:59:45 -0400

erlang (1:10.b.5-1) unstable; urgency=low

  * new upstream version
  * Still Closes: #307725
  * A remaining rpath problem has been fixed by a change in
    make/configure.in.  I hope it won't break anything else.
  * Moved a few binary file from erlang to erlang-base.  Apparently they
    were binary executable files.
  * I guess it Closes: #298076 too.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Sat, 14 May 2005 17:47:38 -0400

erlang (1:10.b.4-3) unstable; urgency=low

  * Fixes updvsn which did not detect all version change and left some
    old directories behind.
  * Change O3 for O2 in erts/emulator/Makefile.in (thanks Will Newton)
  * Still not uploaded so: New Maintainer (Closes: #307725)
  * Removed dependency on sed since it's a build essential
  * Removed debian/conffiles, which is not useful.
  * Manually removed SSH & ODBC apps which were empty (thanks Nicolas
    Niclausse)

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Wed, 11 May 2005 10:58:03 -0400

erlang (1:10.b.4-2) unstable; urgency=low

  * New maintainer (Closes: #307725)

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Mon,  9 May 2005 23:17:42 -0400

erlang (1:10.b.4-1) unstable; urgency=low

  * new upstream version

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Thu,  5 May 2005 14:45:00 -0400

erlang (1:10.b.1a-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targeted RC bugfix
  * Build with --disable-hipe on everything but amd64 (not just on i386),
    for compatibility with 2.4 kernels in sarge; thanks to Lars
    Wirzenius for tracking this down.  Closes: #276800.

 -- Steve Langasek <vorlon@debian.org>  Sat, 12 Mar 2005 01:27:58 -0800

erlang (1:10.b.1a-2.1) unstable; urgency=high

   * NMU
   * configure --disable-hipe on i386, (Closes: #276800)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 12 Mar 2005 14:50:16 +0100

erlang (1:10.b.1a-2) unstable; urgency=low

  * Rebuild with corrected pathnames to libraries (remove duplicates).
  * Compiled with -fPIC to support RISC (among others).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 24 Nov 2004 20:07:57 -0800

erlang (1:10.b.1a-1) unstable; urgency=low

  * New upstream release:
    - Compiler optimizations.
    - Runtime memory use error.
    - Better support for the new try/catch syntax.
    - Emulator crash with bignums corrected.
    - HIPE updated to correct a bug that caused the emulator to crash.
  * Added a 'conflicts' with libxmerl-erlang, since 'xmerl' is now
    distributed with Erlang OTP.  Perhaps we need some way to allow this
    to be upgraded if xmerl has interim releases...

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 19 Nov 2004 23:36:41 -0800

erlang (1:10.b.0-2) unstable; urgency=low

  * Fix erlc:  VSN value changed and I didn't catch it.  Revised build
    script to extract correct version from sources so I don't make this
    mistake again.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 10 Oct 2004 14:01:06 -0700

erlang (1:10.b.0-1) unstable; urgency=low

  * New upstream release.
  * Numbering now matches upstream.
  * Correct package description duplication.  (Closes:#275595)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  6 Oct 2004 22:07:42 -0700

erlang (1:9.2.2-6) unstable; urgency=low

  * Include crypto support.  (Closes:#270629)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 27 Sep 2004 21:12:45 -0700

erlang (1:9.2.2-5) unstable; urgency=low

  * Correct s390 build bug (autoconf/config.guess returns triplet
    s390-ibm-linux, rather than the s390-ibm-linux-gnu expected by
    config.sub and others.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  2 Sep 2004 00:29:45 -0700

erlang (1:9.2.2-4) unstable; urgency=low

  * A few more cleanups.  (Closes:#263590).
  * Add lintian-override for binaries-without-manpage, since these
    manpages are all provided in the erlang-manpages package.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Aug 2004 17:12:12 -0700

erlang (1:9.2.2-3) unstable; urgency=low

  * Build with Tcl/Tk 8.4 to be more "modern".
  * Provide better cleanup.  Thanks to David N. Welton for
    the fix.  (Closes: #263590).

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  6 Aug 2004 23:36:28 -0700

erlang (1:9.2.2-2) unstable; urgency=low

  * Include dependency on Tcl/Tk 8.3 to allow gs to work.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 31 Jul 2004 18:53:58 -0700

erlang (1:9.2.2-1) unstable; urgency=low

  * New upstream release.
  * Highlights:  Some performance improvements, some bug fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 24 Jun 2004 22:49:25 -0700

erlang (1:9.2.1-5) unstable; urgency=low

  * Before someone files a bug:  ecc conflicts with elastiC, so
    change link to "erl-ecc".

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 19 Jun 2004 09:24:24 -0700

erlang (1:9.2.1-4) unstable; urgency=low

  * A few straggling links to ear, escript.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 13 Jun 2004 00:55:23 -0700

erlang (1:9.2.1-3) unstable; urgency=low

  * Ugh!  Links didn't get picked up after the migration of platform
    independent files.  (Closes:#253988)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 12 Jun 2004 09:25:40 -0700

erlang (1:9.2.1-2) unstable; urgency=low

  * Make upgrade easier.  (Closes:#253914)
  * Clean up various lintian warnings.  (Made icon 32x32)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 11 Jun 2004 23:42:45 -0700

erlang (1:9.2.1-1) unstable; urgency=low

  * New upstream release.(Closes:#253116)
  * Correct Emacs handling.  (Closes:#240235).
  * Never uploaded 9.2-6 -- make sure (Closes:#237653)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  9 Jun 2004 22:57:36 -0700

erlang (1:9.2-6) unstable; urgency=low

  * Reconfigure a few things:  Make the 'erlang' package hold the
    architecture-independent files.  Make the 'erlang-base' package hold
    the base virtual machine (platform-dependent).
  * Remove duplicates where possible.  (Closes:#237653)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 15 Mar 2004 21:10:42 -0800

erlang (1:9.2-5) unstable; urgency=low

  * Regenerate configure stuff in the hopes that this will help HPPA builds.
  * Updated config.guess, config.sub to most recent version for autoconf2.13
    series.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  9 Feb 2004 21:37:33 -0800

erlang (1:9.2-4) unstable; urgency=low

  * Add ia64 to buildable architectures (now that it builds!).
    (Closes:#142642, #161266, #225226)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  8 Feb 2004 00:33:38 -0800

erlang (1:9.2-3) unstable; urgency=low

  * Minor fixes to build packages.
  * Incorporate Daniel Schepler's patch (Closes:#196247)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  8 Nov 2003 21:00:56 -0800

erlang (1:9.2-2) unstable; urgency=low

  * Correct bad 'WWW' path.  (Closes:#207375).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 27 Aug 2003 23:41:08 -0700

erlang (1:9.2-1) unstable; urgency=low

  * The Erlang 9RC Release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 14 Aug 2003 21:25:25 -0700

erlang (1:9.1-3) unstable; urgency=low

  * Declare platform dependencies only on architectures supported by upstream.
    The proper place for these to be fixed is in a real porting effort, not
    by keeping Erlang out of stable.
    (Closes:#142642), (Closes:#161266), (Closes:#179803), (Closes:#189591)
  * Correct bad symlink to epmd (among others).  (Closes:#196268)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 23 Jun 2003 23:30:16 -0700

erlang (1:9.1-2) unstable; urgency=low

  * Incorporate Laurent Bonnaud's patch for allowing the Erlang mode to
    work under XEmacs.  (Closes:#179277)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 18 Mar 2003 21:43:28 -0800

erlang (1:9.1-1) unstable; urgency=low

  * New upstream release.  Highlights:
    + Constant expressions now evaluated at compile time.
    + "," and "and" guards now handled properly.
    + Corrections for floating point problems.
    + Some 64-bit architecture fixes.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 14 Mar 2003 22:19:50 -0800

erlang (1:9.0-10) unstable; urgency=low

  * Correct settings of ERLDIR to not include quotes.  This corrects a problem
        that kept Yaws from building properly "out of the box."  A tip 'o the
        hat to Jimmie Houchin for noticing.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  2 Mar 2003 20:33:22 -0800

erlang (1:9.0-9) unstable; urgency=low

  * Add conflicts to elastic-base.  (Closes:Bug#179816)

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue,  4 Feb 2003 22:11:08 -0800

erlang (1:9.0-8) unstable; urgency=low

  * Remove dangling symlinks from bad earlier package.  (Closes:#170528)
  * Remove HIPE support for SPARC.  SPARC only supports HIPE under
    SOLARIS (for now), so this causes build failures.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  2 Feb 2003 20:38:37 -0800

erlang (1:9.0-7) unstable; urgency=low

  * HPPA built on Paer, so I'm opening up the architecture to 'any'.
  * Changed 'gawk' dependency to plain 'awk'.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  1 Feb 2003 23:09:23 -0800

erlang (1:9.0-6) unstable; urgency=low

  * Erlang won't build on other architectures because of my monkeying
    around with 'ecc'.  Too many scripts depend on it being named
    'ecc' and located in /usr/bin/ecc.  And I'm not sure how many
    external Erlang programs make this assumption.  Going back to
    conflicting with Elastic.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  1 Feb 2003 10:29:31 -0800

erlang (1:9.0-5) unstable; urgency=low

  * Fix some lintian warnings.
  * Move all Java stuff into erlang-base, declare as binary-indep, and
    remove build-depends on Java (since autobuilders don't need to build
    these parts.)  Since the java-stuff is not critical to the function
    of Erlang, modify build rules to ignore failure if 'javac' does not
    exist, for example.
  * Incorporated translations for German, Spanish, and Japanese.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 30 Jan 2003 21:46:22 -0800

erlang (1:9.0-4) unstable; urgency=low

  * More fun with 'ecc'.  I stupidly copied this into my own /usr/bin, so of
    course everything works just fine on my system.  I figured out where this
    is referenced in the erlc source and *hopefully* have this fixed so it
    can coexist with the 'elastic' compiler.  (Closes: #172931)
  * Changed dependency to xlibs-dev (Closes: #170156)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 14 Dec 2002 16:52:18 -0800

erlang (1:9.0-3) unstable; urgency=low

  * Well, it appears bad paths continue to be a problem.  With some
    messy sed scripts, this is now corrected.  "INSTALL_PREFIX" does
    not seem to be honored by the installation rules from Ericsson
    (unfortunately).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 13 Nov 2002 23:31:55 -0800

erlang (1:9.0-2) unstable; urgency=low

  * Correct a link to epmd in the runtime.
  * Provide a menu entry.
  * Add a conflict with the 'elastic' compiler, which also defines
    a /usr/bin/ecc. (Closes:Bug#168407)
  * Use "INSTALL_PREFIX" to avoid all of those bad paths in the compiled
    scripts.  Surprised no one saw this!

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 10 Nov 2002 00:00:51 -0800

erlang (1:9.0-1) unstable; urgency=low

  * New upstream release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  7 Nov 2002 21:15:57 -0800

erlang (1:8.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Correct a few lintian warnings, eject 'java' package that caused the
    Debian install system to complain.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 10 Aug 2002 23:16:47 -0700

erlang (49.1-10.1) stable; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch for double-free bug to included copy of zlib

 -- Matt Zimmerman <mdz@debian.org>  Thu, 14 Feb 2002 04:38:23 +0000

erlang (49.1-10) frozen unstable; urgency=low

  * Incorporate bug fixes only from upstream maintainer. The bug could lead
    in database deadlock in some situations.

 -- Samuel Tardieu <sam@debian.org>  Sun, 27 Feb 2000 15:27:34 +0100

erlang (49.1-9) frozen unstable; urgency=low

  * Add a tiny patch to avoid a duplicate case clause on Sparc, because the
    latest /usr/include/asm/signal.h files have the same value for
    SIGLOST and SIGPWR. Closes an unreported important bug (this package
    could not be rebuilt on Sparc). This 4 lines patch is the only code
    change in this revision.
  * Add libncurses5-dev to the Build-Depends list. Closes: #58151.
  * Remove c-shell from the Depends list. Closes: #58152.

 -- Samuel Tardieu <sam@debian.org>  Tue, 15 Feb 2000 13:58:41 +0100

erlang (49.1-8) frozen unstable; urgency=low

  * Apply latest upstream patches for the build process.
    Closes: #57349, #57350. No new functionality has been added.

 -- Samuel Tardieu <sam@debian.org>  Tue,  8 Feb 2000 13:38:34 +0100

erlang (49.1-7) frozen unstable; urgency=low

  * Remove Alpha from list of supported targets. Obviously, this code is
    32 bits specific. Closes: #55237.

 -- Samuel Tardieu <sam@debian.org>  Mon, 17 Jan 2000 17:11:31 +0100

erlang (49.1-6) unstable; urgency=low

  * Remove the etkdir.dpatch patch as it is not necessary.

 -- Samuel Tardieu <sam@debian.org>  Mon, 13 Dec 1999 13:05:11 +0100

erlang (49.1-5) unstable; urgency=low

  * Apply patch from upstream to build Erlang libraries with proper dynamic
    flags.
  * Apply patch from upstream to put etk in the right directory.

 -- Samuel Tardieu <sam@debian.org>  Sat, 11 Dec 1999 16:59:37 +0100

erlang (49.1-4) unstable; urgency=low

  * Add a patch to fix multicast bug. Submitted to upstream authors.

 -- Samuel Tardieu <sam@debian.org>  Wed,  8 Dec 1999 18:48:31 +0100

erlang (49.1-3) unstable; urgency=low

  * Add Pre-Depends lines for dpkg.
  * Apply unofficial patch for building ETK library.
  * Change status of two patches from unofficial to official.
  * Apply official patch for fixing netadm functions.

 -- Samuel Tardieu <sam@debian.org>  Mon,  6 Dec 1999 13:14:50 +0100

erlang (49.1-2) unstable; urgency=low

  * Split this file into different package, to avoid duplication of
    architecture independent files.
  * Remove dependency on java. Closes: #51383.
  * Remove hard-coded path inherited at installation time.

 -- Samuel Tardieu <sam@debian.org>  Mon, 29 Nov 1999 15:42:55 +0100

erlang (49.1-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * New packages.

 -- Samuel Tardieu <sam@debian.org>  Thu, 25 Nov 1999 11:26:58 +0100

erlang (47.4.1-2) unstable; urgency=low

  * Closed bugs: #38119, #38265 - sparc, alpha ports and clean target.
  
 -- Mark Ng <ng@debian.org>  Mon,  21 Jun 1999 21:45:00 +1100

erlang (47.4.1-1) unstable; urgency=low

  * the .erl files now have their own package, giving a total of 5 packages.
  * moved the .jam files and docs into their arch independent packages.
  * New upstream release.
  
 -- Mark Ng <ng@debian.org>  Sat,  8 May 1999 16:45:00 +1100

erlang (47.4.0-1) unstable; urgency=low

  * Initial Release.
  * Split into  -base and -dev packages
  * Erlang sources for libraries and tools are removed from the bin dist.

 -- Mark Ng <ng@debian.org>  Thu,  4 Feb 1999 23:21:00 +1100
